html {
  scroll-behavior: smooth;
}

body {
  font-family: poppins, sans-serif;
  margin: 0;
  background-color: #303841;
  scroll-behavior: smooth;
}

.nav {
  background-color: #be3144;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  min-height: 4.5rem;
  width: 100vw;
  position: fixed;
  top: 0;
  z-index: 5;
}

.rash {
  background: url("../images/my\ BG.jpg");
  background-position: center;
  background-size: cover;
  height: 4.25rem;
  width: 4.25rem;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  margin-left: 2rem;
  border-radius: 100%;

  @media only screen and (max-width: 650px) {
    height: 50px;
    width: 50px;
  }
}

.nav-text-box {
  border: none;
  display: flex;
  flex-wrap: nowrap;
  margin-right: 10px;
  height: 100%;
}

.nav a {
  text-decoration: none;
  color: #fff;
  height: 100%;
  margin: 0;
  transition: 0.5s;
}

.nav button {
  background: none;
  border: none;
  font-size: 1rem;
  height: 4.25rem;
  width: fit-content;
  padding: 0 20px;
  color: #fff;
}

.nav a:hover {
  background-color: #303841;
  border-bottom: 0.1px solid #be3144;
}

.dark-body {
  background: linear-gradient(to bottom, #0000005d, #0000005d, #0000005d), url("../images/rash banner.png");
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  @media only screen and (max-width: 650px) {
    background: #303841;
  }
}

.dark-body-text1 {
  text-align: center;
  color: #fff;
  font-size: 4rem;
  font-weight: 800;
  filter: drop-shadow(0 10px 5px #222);
}

.dark-body-text2 {
  margin-top: 0.5rem;
  font-size: 2rem;
  font-style: italic;
  color: #be3144;
  font-weight: 500;
  filter: drop-shadow(0 10px 5px #222);
}

.projects {
  background-color: #45567d;
  display: grid;
  height: auto;
  margin: 0;
  text-align: center;
  justify-content: center;
}

#project-containers {
  width: 98%;
  padding: 0;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin: auto;
  gap: 3.5vmin;
  justify-items: center;
  align-items: center;
}

.projects-header {
  text-align: center;
  color: #fff;
  font-size: 2.5rem;
  font-weight: bold;
  margin: 6rem auto 2rem;
  width: fit-content;
  filter: drop-shadow(0 5px 10px #000);
}

.line {
  margin: 0.8rem;
}

.container {
  background-color: #303841;
  padding: 0;
  width: 100%;
  box-shadow: 0 5px 15px #000;
  transition: 0.5s;
}

.container:hover {
  transform: translateY(-20px);
}

.container .a-tag {
  text-decoration: none;
}

img {
  width: 100%;
  height: 20rem;
  margin-bottom: 0;
}

.container-caption {
  height: fit-content;
  width: 100%;
  background-color: #303841;
  border: none;
  color: #fff;
  font-size: 150%;
  padding: 1rem 0;
  margin-top: 0;
  justify-items: center;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
}

.container-caption span {
  opacity: 0;
  font-size: 2rem;
  transition: 0.5s ease-in-out;
}

.container:hover span {
  opacity: 1;
  color: #be3144;
}

.projects .varying {
  width: 98%;
  height: fit-content;
  margin: 3.5vmin auto 0;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 3.5vmin;
}

.varying .container {
  background-color: #303841;
  height: fit-content;
  width: 100%;
}

.varying.hidden {
  display: none;
  transition: 1s ease-in;
  animation-delay: 2s;
}

/* STYLING BOTH SHOW-ALL-BTN AND SHOW-ALL-BTN2 */

.show-all-btn,
.show-all-btn2 {
  background-color: #303841;
  border: none;
  color: #fff;
  width: fit-content;
  padding: 12px;
  margin: 3.5rem auto 8rem;
  font-size: 20px;
  font-weight: 500;
  cursor: context-menu;
  animation-delay: 2s;
  position: relative;
  z-index: 1;
  box-shadow: 0 5px 10px 0 #000;
  transition: 0.5s;
}

.show-all-btn .span2,
.show-all-btn2 .span2 {
  position: absolute;
  width: 0;
  height: 100%;
  background-color: #be3144;
  top: 0;
  left: 0;
  z-index: -1;
  transition: 0.6s;
}

.show-all-btn2 .span2 {
  left: unset;
  right: 0;
}

.show-all-btn .span3,
.show-all-btn2 .span3 {
  opacity: 0;
  transition: 0.6s;
}

.show-all-btn:hover {
  transform: rotate(20deg);
}

.show-all-btn2:hover {
  transform: rotate(-20deg);
}

.show-all-btn:hover .span2,
.show-all-btn2:hover .span2 {
  width: 100%;
}

.show-all-btn:hover .span3,
.show-all-btn2:hover .span3 {
  opacity: 1;
}

.show-all-btn-display {
  display: none;
}

/* END STYLING BOTH SHOW-ALL-BTN AND SHOW-ALL-BTN2 */

.contact {
  position: relative;
  background-color: #303841;
  background-size: cover;
  height: 85vh;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  margin: 0;
}

.contact > div {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: fit-content;
  text-align: center;
}

.contact-header1 {
  font-size: 3.5rem;
  font-weight: bold;
  margin-bottom: 1rem;
  filter: drop-shadow(0 10px 5px #222);
  z-index: 3;
}

.contact-header2 {
  font-style: italic;
  font-weight: 100;
  font-size: 20px;
  margin: 0 auto 1rem;
  filter: drop-shadow(0 10px 5px #222);
  z-index: 3;
}

#media-links {
  margin-top: 1rem;
  display: flex;
  flex-wrap: wrap;
  width: fit-content;
  height: fit-content;
  justify-content: space-around;
  z-index: 3;
}

#media-links div {
  position: relative;
  display: flex;
  flex-wrap: nowrap;
  padding: 10px;
  width: fit-content;
  height: fit-content;
}

/* #media-links div:hover {
  margin-top: 15px;
  height: 100%;
} */

.media {
  font-size: 25px;
  text-decoration: none;
  color: #fff;
  filter: drop-shadow(0 10px 5px #222);
  transition: 0.5s;
}

#media-links div:hover .media {
  transform: translateY(-10px);
  filter: drop-shadow(0 10px 5px #45567d);
}

.contact .contact-image {
  background: linear-gradient(to bottom, #0000007c, #0000007c, #0000007c), url("../images/my\ BG.jpg");
  background-repeat: no-repeat;
  background-position: top right;
  background-attachment: fixed;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate(50%, -50%);
  width: 100%;
  max-width: 500px;
  height: 100%;
  max-height: 500px;
  border-radius: 0 50px 50px;
  box-shadow: 0 0 10px #000;
  z-index: 1;

  @media only screen and (max-width: 790px) {
    left: -50%;
  }
}

.line2 {
  border: none;
  background-color: #be3144;
  height: 0.1rem;
}

footer {
  background-color: #303841;
  box-sizing: border-box;
  padding: 0 5px;
  height: 130px;
  color: #fff;
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  font-size: 2.5vh;
  gap: 1rem;
}

.footer-text1 {
  text-align: center;
}

.footer-text2 {
  text-align: center;
}

@media only screen and (max-width: 1024px) {
  .rash {
    margin-left: 10px;
  }

  #project-containers {
    grid-template-columns: 1fr 1fr;
  }

  .projects .varying {
    grid-template-columns: 1fr 1fr;
  }

  footer {
    height: 200px;
  }
}

@media only screen and (max-width: 768px) {
  .nav a:hover {
    background-color: unset;
    border-bottom: none;
  }
}

@media only screen and (max-width: 600px) {
  .container {
    width: 95%;
    margin: 10px auto;
  }

  .contact {
    padding-bottom: 3rem;
  }

  #media-links {
    width: 90%;
    margin: 2.8rem auto 0;
  }

  #project-containers {
    grid-template-columns: 1fr;
  }

  img {
    height: auto;
  }

  .container-caption span {
    display: none;
  }

  .projects .varying {
    grid-template-columns: 1fr;
    width: 93%;
  }

  .varying img {
    width: 100%;
    height: 20rem;
    margin-bottom: 0;
  }

  .show-all-btn:hover,
  .show-all-btn2:hover {
    background-color: #303841;
    border: none;
  }

  .show-all-btn span,
  .show-all-btn2 span {
    display: none;
  }

  footer {
    width: 100vw;
    height: 120px;
  }
}
